﻿%let DataFile=CY1MDAI_SCH_QQQ;
libname DataLib '.';

proc format;
     value ADMINMODEF
       1  = "Paper"
       2  = "Computer"
     ;
     value CLSIZEF
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value $ CNTF
       'ECU'  = "Ecuador"
       'GTM'  = "Guatemala"
       'HND'  = "Honduras"
       'KHM'  = "Cambodia"
       'PAN'  = "Panama"
       'PRY'  = "Paraguay"
       'SEN'  = "Senegal"
       'ZMB'  = "Zambia"
       'ZZZ'  = "International Master"
     ;
     value CNTRYIDF
       116  = "Cambodia"
       218  = "Ecuador"
       320  = "Guatemala"
       340  = "Honduras"
       591  = "Panama"
       600  = "Paraguay"
       686  = "Senegal"
       894  = "Zambia"
     ;
     value FUNDINGSTRF
       1  = "Public"
       2  = "Partially funded by the government"
       3  = "Private"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value LANGTESTF
       156  = "Spanish"
       313  = "English"
       493  = "French"
       551  = "Khmer"
       990  = "Wolof"
     ;
     value $ NatCenF
       '011600'  = "Cambodia"
       '021800'  = "Ecuador"
       '032000'  = "Guatemala"
       '034000'  = "Honduras"
       '060000'  = "Paraguay"
       '068600'  = "Senegal"
       '089400'  = "Zambia"
     ;
     value OECDF
       0  = "No"
       1  = "Yes"
     ;
     value RURALSTRF
       1  = "Urban stratum"
       2  = "Rural stratum"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC001Q01TAF
       1  = "A village, hamlet or rural area (fewer than 3 000 people)"
       2  = "A small town (3 000 to about 15 000 people)"
       3  = "A town (15 000 to about 100 000 people)"
       4  = "A city (100 000 to about 1 000 000 people)"
       5  = "A large city (with over 1 000 000 people)"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value SC002Q01NDF
       0  = "Not checked"
       1  = "Checked"
     ;
     value SC003Q02TAF
       .  = "Missing"
       9995  = "Valid Skip"
       .V  = "Valid Skip"
       9997  = "Not Applicable"
       .N  = "Not Applicable"
       9998  = "Invalid"
       .I  = "Invalid"
       9999  = "No Response"
       .M  = "No Response"
     ;
     value SC005Q01TAF
       1  = "15 students or fewer"
       2  = "16-20 students"
       3  = "21-25 students"
       4  = "26-30 students"
       5  = "31-35 students"
       6  = "36-40 students"
       7  = "41-45 students"
       8  = "46-50 students"
       9  = "More than 50 students"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value SC006Q01TAF
       1  = "A public school"
       2  = "A private school"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC007Q01TAF
       1  = "A church or other religious organisation"
       2  = "Another not-for-profit organisation"
       3  = "A for-profit organisation"
       4  = "The government"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC009Q01NAF
       1  = "A school building"
       2  = "Rooms of a government building"
       3  = "Rooms of a church"
       4  = "Rooms of an NGO"
       5  = "A private home"
       6  = "Rooms of a multi-purpose building"
       7  = "A university"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value SC012Q15NAF
       1  = "No, not available"
       2  = "Yes, but in poor condition"
       3  = "Yes, but in need of minor repairs"
       4  = "Yes, in good condition"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC013Q02NAF
       1  = "No, not available or inaccessible"
       2  = "Yes, but in poor condition"
       3  = "Yes, but in need of minor repairs"
       4  = "Yes, in good condition"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC014Q01NAF
       1  = "Yes, every student has at least one."
       2  = "Yes, but not enough. Sometimes two students need to share a textbook."
       3  = "Yes, but so few that sometimes more than two students need to share a textbook."
       4  = "No, there are no textbooks"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC015Q01NAF
       1  = "Yes, every student has at least one."
       2  = "Yes, but not enough. Sometimes two students need to share a textbook."
       3  = "Yes, but so few that sometimes more than two students need to share a textbook."
       4  = "No, there are no textbooks"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC016Q03NAF
       1  = "Yes, free for all students"
       2  = "Yes, free for some students"
       3  = "Yes, for a fee"
       4  = "No, not offered"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC021Q02TAF
       1  = "For all subjects"
       2  = "For some subjects"
       3  = "Not for any subjects"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC022Q11NAF
       1  = "Less than 1%"
       2  = "Between 1 and 5%"
       3  = "Between 6 and 10%"
       4  = "Between 11 and 20%"
       5  = "Between 21 and 30%"
       6  = "More than 30%"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value SC023Q11NAF
       1  = "Strongly Disagree"
       2  = "Disagree"
       3  = "Agree"
       4  = "Strongly Agree"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC024Q08NAF
       .  = "Missing"
       995  = "Valid Skip"
       .V  = "Valid Skip"
       997  = "Not Applicable"
       .N  = "Not Applicable"
       998  = "Invalid"
       .I  = "Invalid"
       999  = "No Response"
       .M  = "No Response"
     ;
     value SC025Q12NAF
       1  = "Never"
       2  = "Once or twice"
       3  = "Every week"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC027Q11NAF
       1  = "Never"
       2  = "Sometimes"
       3  = "Always"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SC028Q07NAF
       1  = "Yes"
       2  = "No"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SCHLTYPEF
       1  = "Private Independent"
       2  = "Private Government-dependent"
       3  = "Public"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value SCHRESOURCESF
       1  = "Extremely low level of resources"
       2  = "Severely low level of resources"
       3  = "Low level of resources"
       4  = "Moderate level of resources"
       5  = "High level of resources"
     ;
     value SCHSIZEF
       .  = "Missing"
       99999995  = "Valid Skip"
       .V  = "Valid Skip"
       99999997  = "Not Applicable"
       .N  = "Not Applicable"
       99999998  = "Invalid"
       .I  = "Invalid"
       99999999  = "No Response"
       .M  = "No Response"
     ;
     value STRATIOF
       .  = "Missing"
       995  = "Valid Skip"
       .V  = "Valid Skip"
       997  = "Not Applicable"
       .N  = "Not Applicable"
       998  = "Invalid"
       .I  = "Invalid"
       999  = "No Response"
       .M  = "No Response"
     ;
     value $ STRATUMF
       'ECU0001'  = "ECU - stratum 01: 01_Urban,01_Public"
       'ECU0002'  = "ECU - stratum 02: 01_Urban,02_Partially state funded"
       'ECU0003'  = "ECU - stratum 03: 01_Urban,03_Municipal"
       'ECU0004'  = "ECU - stratum 04: 01_Urban,04_Private"
       'ECU0005'  = "ECU - stratum 05: 02_Rural,01_Public"
       'ECU0006'  = "ECU - stratum 06: 02_Rural,02_Partially state funded"
       'ECU0007'  = "ECU - stratum 07: 02_Rural,03_Municipal"
       'ECU0008'  = "ECU - stratum 08: 02_Rural,04_Private"
       'ECU9797'  = "Undisclosed STRATUM - Ecuador"
       'GTM0001'  = "GTM - stratum 01: 01_Rural,01_Official"
       'GTM0002'  = "GTM - stratum 02: 01_Rural,02_Cooperative"
       'GTM0003'  = "GTM - stratum 03: 01_Rural,03_Municipal"
       'GTM0004'  = "GTM - stratum 04: 01_Rural,04_Private"
       'GTM0005'  = "GTM - stratum 05: 02_Urban,01_Official"
       'GTM0006'  = "GTM - stratum 06: 02_Urban,02_Cooperative"
       'GTM0007'  = "GTM - stratum 07: 02_Urban,03_Municipal"
       'GTM0008'  = "GTM - stratum 08: 02_Urban,04_Private"
       'GTM9797'  = "Undisclosed STRATUM - Guatemala"
       'HND0001'  = "HND - stratum 01: 01_URBAN,01_PUBLIC,01_7th TO 9th GRADE"
       'HND0002'  = "HND - stratum 02: 01_URBAN,01_PUBLIC,02_10th TO 12th GRADE"
       'HND0003'  = "HND - stratum 03: 01_URBAN,02_PRIVATE,01_7th TO 9th GRADE"
       'HND0004'  = "HND - stratum 04: 01_URBAN,02_PRIVATE,02_10th TO 12th GRADE"
       'HND0005'  = "HND - stratum 05: 02_RURAL,01_PUBLIC,01_7th TO 9th GRADE"
       'HND0006'  = "HND - stratum 06: 02_RURAL,01_PUBLIC,02_10th TO 12th GRADE"
       'HND0007'  = "HND - stratum 07: 02_RURAL,02_PRIVATE,01_7th TO 9th GRADE"
       'HND0008'  = "HND - stratum 08: 02_RURAL,02_PRIVATE,02_10th TO 12th GRADE"
       'HND9797'  = "Undisclosed STRATUM - Honduras"
       'KHM0001'  = "KHM - stratum 01: 01_Urban,01_College,01_Plains"
       'KHM0002'  = "KHM - stratum 02: 01_Urban,01_College,02_Tonlesap"
       'KHM0003'  = "KHM - stratum 03: 01_Urban,01_College,03_Plato"
       'KHM0004'  = "KHM - stratum 04: 01_Urban,01_College,04_Costal"
       'KHM0005'  = "KHM - stratum 05: 01_Urban,02_LyceeG7_G12,01_Plains"
       'KHM0006'  = "KHM - stratum 06: 01_Urban,02_LyceeG7_G12,02_Tonlesap"
       'KHM0007'  = "KHM - stratum 07: 01_Urban,02_LyceeG7_G12,03_Plato"
       'KHM0008'  = "KHM - stratum 08: 01_Urban,02_LyceeG7_G12,04_Costal"
       'KHM0009'  = "KHM - stratum 09: 01_Urban,03_LyceeG10_G12,01_Plains"
       'KHM0010'  = "KHM - stratum 10: 01_Urban,03_LyceeG10_G12,02_Tonlesap"
       'KHM0011'  = "KHM - stratum 11: 01_Urban,03_LyceeG10_G12,03_Plato"
       'KHM0012'  = "KHM - stratum 12: 01_Urban,03_LyceeG10_G12,04_Costal"
       'KHM0013'  = "KHM - stratum 13: 02_Rural,01_College,01_Plains"
       'KHM0014'  = "KHM - stratum 14: 02_Rural,01_College,02_Tonlesap"
       'KHM0015'  = "KHM - stratum 15: 02_Rural,01_College,03_Plato"
       'KHM0016'  = "KHM - stratum 16: 02_Rural,01_College,04_Costal"
       'KHM0017'  = "KHM - stratum 17: 02_Rural,02_LyceeG7_G12,01_Plains"
       'KHM0018'  = "KHM - stratum 18: 02_Rural,02_LyceeG7_G12,02_Tonlesap"
       'KHM0019'  = "KHM - stratum 19: 02_Rural,02_LyceeG7_G12,03_Plato"
       'KHM0020'  = "KHM - stratum 20: 02_Rural,02_LyceeG7_G12,04_Costal"
       'KHM0021'  = "KHM - stratum 21: 02_Rural,03_LyceeG10_G12,01_Plains"
       'KHM0022'  = "KHM - stratum 22: 02_Rural,03_LyceeG10_G12,02_Tonlesap"
       'KHM0023'  = "KHM - stratum 23: 02_Rural,03_LyceeG10_G12,03_Plato"
       'KHM0024'  = "KHM - stratum 24: 02_Rural,03_LyceeG10_G12,04_Costal"
       'KHM9797'  = "Undisclosed STRATUM - Cambodia"
       'PRY0001'  = "PRY - stratum 01: 01_Oficial,01_Urban,01_Small"
       'PRY0002'  = "PRY - stratum 02: 01_Oficial,01_Urban,02_Medium"
       'PRY0003'  = "PRY - stratum 03: 01_Oficial,01_Urban,03_Large"
       'PRY0004'  = "PRY - stratum 04: 01_Oficial,02_Rural,01_Small"
       'PRY0005'  = "PRY - stratum 05: 01_Oficial,02_Rural,02_Medium"
       'PRY0006'  = "PRY - stratum 06: 01_Oficial,02_Rural,03_Large"
       'PRY0007'  = "PRY - stratum 07: 02_Private,01_Urban,01_Small"
       'PRY0008'  = "PRY - stratum 08: 02_Private,01_Urban,02_Medium"
       'PRY0009'  = "PRY - stratum 09: 02_Private,01_Urban,03_Large"
       'PRY0010'  = "PRY - stratum 10: 02_Private,02_Rural,01_Small"
       'PRY0011'  = "PRY - stratum 11: 02_Private,02_Rural,02_Medium"
       'PRY0012'  = "PRY - stratum 12: 02_Private,02_Rural,03_Large"
       'PRY0013'  = "PRY - stratum 13: 03_Subsidized,01_Urban,01_Small"
       'PRY0014'  = "PRY - stratum 14: 03_Subsidized,01_Urban,02_Medium"
       'PRY0015'  = "PRY - stratum 15: 03_Subsidized,01_Urban,03_Large"
       'PRY0016'  = "PRY - stratum 16: 03_Subsidized,02_Rural,01_Small"
       'PRY0017'  = "PRY - stratum 17: 03_Subsidized,02_Rural,02_Medium"
       'PRY0018'  = "PRY - stratum 18: 03_Subsidized,02_Rural,03_Large"
       'PRY9797'  = "Undisclosed STRATUM - Paraguay"
       'SEN0001'  = "SEN - stratum 01: 01_IA Dakar,01_Urbain"
       'SEN0003'  = "SEN - stratum 03: 02_IA Diourbel,01_Urbain"
       'SEN0004'  = "SEN - stratum 04: 02_IA Diourbel,02_Rural"
       'SEN0005'  = "SEN - stratum 05: 03_IA Fatick,01_Urbain"
       'SEN0006'  = "SEN - stratum 06: 03_IA Fatick,02_Rural"
       'SEN0007'  = "SEN - stratum 07: 04_IA Kaffrine,01_Urbain"
       'SEN0008'  = "SEN - stratum 08: 04_IA Kaffrine,02_Rural"
       'SEN0009'  = "SEN - stratum 09: 05_IA Kaolack,01_Urbain"
       'SEN0010'  = "SEN - stratum 10: 05_IA Kaolack,02_Rural"
       'SEN0011'  = "SEN - stratum 11: 06_IA Kdougou,01_Urbain"
       'SEN0012'  = "SEN - stratum 12: 06_IA Kdougou,02_Rural"
       'SEN0013'  = "SEN - stratum 13: 07_IA Kolda,01_Urbain"
       'SEN0014'  = "SEN - stratum 14: 07_IA Kolda,02_Rural"
       'SEN0015'  = "SEN - stratum 15: 08_IA Louga,01_Urbain"
       'SEN0016'  = "SEN - stratum 16: 08_IA Louga,02_Rural"
       'SEN0017'  = "SEN - stratum 17: 09_IA Matam,01_Urbain"
       'SEN0018'  = "SEN - stratum 18: 09_IA Matam,02_Rural"
       'SEN0019'  = "SEN - stratum 19: 10_IA Pikine Gudiawaye,01_Urbain"
       'SEN0021'  = "SEN - stratum 21: 11_IA Rufisque,01_Urbain"
       'SEN0022'  = "SEN - stratum 22: 11_IA Rufisque,02_Rural"
       'SEN0023'  = "SEN - stratum 23: 12_IA Saint-Louis,01_Urbain"
       'SEN0024'  = "SEN - stratum 24: 12_IA Saint-Louis,02_Rural"
       'SEN0025'  = "SEN - stratum 25: 13_IA Sdhiou,01_Urbain"
       'SEN0026'  = "SEN - stratum 26: 13_IA Sdhiou,02_Rural"
       'SEN0027'  = "SEN - stratum 27: 14_IA Tamba,01_Urbain"
       'SEN0028'  = "SEN - stratum 28: 14_IA Tamba,02_Rural"
       'SEN0029'  = "SEN - stratum 29: 15_IA This,01_Urbain"
       'SEN0030'  = "SEN - stratum 30: 15_IA This,02_Rural"
       'SEN0031'  = "SEN - stratum 31: 16_IA Ziguinchor,01_Urbain"
       'SEN0032'  = "SEN - stratum 32: 16_IA Ziguinchor,02_Rural"
       'SEN9797'  = "Undisclosed STRATUM - Senegal"
       'ZMB0001'  = "ZMB - stratum 01: 01_Muchinga,01_Urban Area"
       'ZMB0002'  = "ZMB - stratum 02: 01_Muchinga,02_Rural Area"
       'ZMB0003'  = "ZMB - stratum 03: 02_Northern,01_Urban Area"
       'ZMB0004'  = "ZMB - stratum 04: 02_Northern,02_Rural Area"
       'ZMB0005'  = "ZMB - stratum 05: 03_Luapula,01_Urban Area"
       'ZMB0006'  = "ZMB - stratum 06: 03_Luapula,02_Rural Area"
       'ZMB0007'  = "ZMB - stratum 07: 04_Southern,01_Urban Area"
       'ZMB0008'  = "ZMB - stratum 08: 04_Southern,02_Rural Area"
       'ZMB0009'  = "ZMB - stratum 09: 05_Eastern,01_Urban Area"
       'ZMB0010'  = "ZMB - stratum 10: 05_Eastern,02_Rural Area"
       'ZMB0011'  = "ZMB - stratum 11: 06_Copperbelt,01_Urban Area"
       'ZMB0012'  = "ZMB - stratum 12: 06_Copperbelt,02_Rural Area"
       'ZMB0013'  = "ZMB - stratum 13: 07_North Western,01_Urban Area"
       'ZMB0014'  = "ZMB - stratum 14: 07_North Western,02_Rural Area"
       'ZMB0015'  = "ZMB - stratum 15: 08_Central,01_Urban Area"
       'ZMB0016'  = "ZMB - stratum 16: 08_Central,02_Rural Area"
       'ZMB0017'  = "ZMB - stratum 17: 09_Western,01_Urban Area"
       'ZMB0018'  = "ZMB - stratum 18: 09_Western,02_Rural Area"
       'ZMB0019'  = "ZMB - stratum 19: 10_Lusaka,01_Urban Area"
       'ZMB0020'  = "ZMB - stratum 20: 10_Lusaka,02_Rural Area"
       'ZMB9797'  = "Undisclosed STRATUM - Zambia"
     ;
     value TOTATF
       .  = "Missing"
       99995  = "Valid Skip"
       .V  = "Valid Skip"
       99997  = "Not Applicable"
       .N  = "Not Applicable"
       99998  = "Invalid"
       .I  = "Invalid"
       99999  = "No Response"
       .M  = "No Response"
     ;
run;
data &DataFile;
     set DataLib.&DataFile;
     format 
     CLSIZE CLSIZEF.
     SC008Q01TA SC024Q08NAF.
     SC024Q07NA SC024Q08NAF.
     SC008Q03TA SC024Q08NAF.
     SC024Q03NA SC024Q08NAF.
     SC008Q02TA SC024Q08NAF.
     SC004Q02NA SC024Q08NAF.
     SC024Q05NA SC024Q08NAF.
     SC024Q01NA SC024Q08NAF.
     SC024Q02NA SC024Q08NAF.
     SC008Q04TA SC024Q08NAF.
     SC024Q08NA SC024Q08NAF.
     SC004Q01NA SC024Q08NAF.
     SC024Q04NA SC024Q08NAF.
     SC024Q06NA SC024Q08NAF.
     SC003Q02TA SC003Q02TAF.
     SC003Q01TA SC003Q02TAF.
     TOTAT TOTATF.
     SCHSIZE SCHSIZEF.
     STRATIO STRATIOF.
     SC002Q01ND SC002Q01NDF.
     SC002Q01NC SC002Q01NDF.
     SC002Q01NA SC002Q01NDF.
     SC002Q01NB SC002Q01NDF.
     SC028Q02NA SC028Q07NAF.
     SC026Q06NA SC028Q07NAF.
     SC026Q04NA SC028Q07NAF.
     SC010Q01NA SC028Q07NAF.
     SC010Q03NA SC028Q07NAF.
     SC018Q07NA SC028Q07NAF.
     SC019Q04NA SC028Q07NAF.
     SC019Q08NA SC028Q07NAF.
     SC019Q05NA SC028Q07NAF.
     SC028Q03NA SC028Q07NAF.
     SC026Q03NA SC028Q07NAF.
     SC028Q01NA SC028Q07NAF.
     SC028Q07NA SC028Q07NAF.
     SC026Q05NA SC028Q07NAF.
     SC028Q05NA SC028Q07NAF.
     SC019Q07NA SC028Q07NAF.
     SC019Q06NA SC028Q07NAF.
     SC019Q01NA SC028Q07NAF.
     SC018Q05NA SC028Q07NAF.
     SC018Q04NA SC028Q07NAF.
     SC026Q01NA SC028Q07NAF.
     SC018Q03NA SC028Q07NAF.
     SC018Q06NA SC028Q07NAF.
     SC026Q02NA SC028Q07NAF.
     SC018Q01NA SC028Q07NAF.
     SC019Q02NA SC028Q07NAF.
     SC017Q03NA SC028Q07NAF.
     SC028Q04NA SC028Q07NAF.
     SC017Q01NA SC028Q07NAF.
     SC010Q05NA SC028Q07NAF.
     SC017Q02NA SC028Q07NAF.
     SC010Q06NA SC028Q07NAF.
     SC017Q04NA SC028Q07NAF.
     SC010Q07NA SC028Q07NAF.
     SC010Q04NA SC028Q07NAF.
     SC019Q03NA SC028Q07NAF.
     SC010Q02NA SC028Q07NAF.
     SC018Q02NA SC028Q07NAF.
     SC018Q08NA SC028Q07NAF.
     SC028Q06NA SC028Q07NAF.
     SC012Q15NA SC012Q15NAF.
     SC012Q14NA SC012Q15NAF.
     SC012Q13NA SC012Q15NAF.
     SC012Q12NA SC012Q15NAF.
     SC012Q11NA SC012Q15NAF.
     SC012Q10NA SC012Q15NAF.
     SC012Q09NA SC012Q15NAF.
     SC012Q08NA SC012Q15NAF.
     SC012Q07NA SC012Q15NAF.
     SC012Q06NA SC012Q15NAF.
     SC012Q05NA SC012Q15NAF.
     SC012Q04NA SC012Q15NAF.
     SC012Q03NA SC012Q15NAF.
     SC012Q02NA SC012Q15NAF.
     SC012Q01NA SC012Q15NAF.
     SC011Q08NA SC012Q15NAF.
     SC011Q07NA SC012Q15NAF.
     SC011Q06NA SC012Q15NAF.
     SC011Q05NA SC012Q15NAF.
     SC011Q04NA SC012Q15NAF.
     SC011Q03NA SC012Q15NAF.
     SC011Q02NA SC012Q15NAF.
     SC011Q01NA SC012Q15NAF.
     SC014Q01NA SC014Q01NAF.
     SC015Q01NA SC015Q01NAF.
     SC023Q11NA SC023Q11NAF.
     SC023Q09NA SC023Q11NAF.
     SC023Q08NA SC023Q11NAF.
     SC023Q07NA SC023Q11NAF.
     SC023Q05NA SC023Q11NAF.
     SC023Q04NA SC023Q11NAF.
     SC023Q03NA SC023Q11NAF.
     SC023Q02NA SC023Q11NAF.
     SC023Q01NA SC023Q11NAF.
     SC023Q06NA SC023Q11NAF.
     SC023Q10NA SC023Q11NAF.
     SC001Q01TA SC001Q01TAF.
     SC005Q01TA SC005Q01TAF.
     SC006Q01TA SC006Q01TAF.
     SC007Q01TA SC007Q01TAF.
     SC009Q01NA SC009Q01NAF.
     SC013Q02NA SC013Q02NAF.
     SC013Q01NA SC013Q02NAF.
     SC016Q01NA SC016Q03NAF.
     SC016Q03NA SC016Q03NAF.
     SC016Q02NA SC016Q03NAF.
     SC025Q12NA SC025Q12NAF.
     SC025Q11NA SC025Q12NAF.
     SC025Q10NA SC025Q12NAF.
     SC025Q09NA SC025Q12NAF.
     SC025Q08NA SC025Q12NAF.
     SC025Q07NA SC025Q12NAF.
     SC025Q06NA SC025Q12NAF.
     SC025Q05NA SC025Q12NAF.
     SC025Q04NA SC025Q12NAF.
     SC025Q03NA SC025Q12NAF.
     SC025Q02NA SC025Q12NAF.
     SC025Q01NA SC025Q12NAF.
     SC027Q11NA SC027Q11NAF.
     SC027Q10NA SC027Q11NAF.
     SC027Q09NA SC027Q11NAF.
     SC027Q08NA SC027Q11NAF.
     SC027Q07NA SC027Q11NAF.
     SC027Q06NA SC027Q11NAF.
     SC027Q05NA SC027Q11NAF.
     SC027Q04NA SC027Q11NAF.
     SC027Q03NA SC027Q11NAF.
     SC027Q02NA SC027Q11NAF.
     SC027Q01NA SC027Q11NAF.
     SC020Q11TA SC027Q11NAF.
     SC020Q10TA SC027Q11NAF.
     SC020Q09TA SC027Q11NAF.
     SC020Q08TA SC027Q11NAF.
     SC020Q07TA SC027Q11NAF.
     SC020Q06TA SC027Q11NAF.
     SC020Q05TA SC027Q11NAF.
     SC020Q04TA SC027Q11NAF.
     SC020Q03TA SC027Q11NAF.
     SC020Q02TA SC027Q11NAF.
     SC020Q01TA SC027Q11NAF.
     SC021Q02TA SC021Q02TAF.
     SC021Q01TA SC021Q02TAF.
     SC022Q11NA SC022Q11NAF.
     SC022Q10NA SC022Q11NAF.
     SC022Q09NA SC022Q11NAF.
     SC022Q08NA SC022Q11NAF.
     SC022Q07NA SC022Q11NAF.
     SC022Q06NA SC022Q11NAF.
     SC022Q05NA SC022Q11NAF.
     SC022Q04NA SC022Q11NAF.
     SC022Q03NA SC022Q11NAF.
     SC022Q02NA SC022Q11NAF.
     SC022Q01NA SC022Q11NAF.
     ADMINMODE ADMINMODEF.
     CNTRYID CNTRYIDF.
     CNT $CNTF.
     OECD OECDF.
     NatCen $NatCenF.
     LANGTEST LANGTESTF.
     SCHLTYPE SCHLTYPEF.
     RURALSTR RURALSTRF.
     STRATUM $STRATUMF.
     SCHRESOURCES SCHRESOURCESF.
     FUNDINGSTR FUNDINGSTRF.
     ;
run;
